(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
  typeof define === 'function' && define.amd ? define('ng-popup-alert-message', ['exports', '@angular/core'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ng-popup-alert-message'] = {}, global.ng.core));
}(this, (function (exports, i0) { 'use strict';

  function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
      Object.keys(e).forEach(function (k) {
        if (k !== 'default') {
          var d = Object.getOwnPropertyDescriptor(e, k);
          Object.defineProperty(n, k, d.get ? d : {
            enumerable: true,
            get: function () {
              return e[k];
            }
          });
        }
      });
    }
    n['default'] = e;
    return Object.freeze(n);
  }

  var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

  var NgPopupAlertMessageService = /** @class */ (function () {
      function NgPopupAlertMessageService() {
          this.options = "\n  position : absolute;\n  z-index : 100;\n  left : 50%;\n  top : -4%;\n  width : fit-content;\n  height : 40px;\n  padding : 20px 10px 0px 10px;\n  text-align : center;\n  border-radius : 5px;\n  transition : top 0.5s ease-out;\n";
      }
      NgPopupAlertMessageService.prototype.createElement = function (msgClass, icon, msgText, customOptions) {
          var duration = 4000;
          var background = '#262626';
          var color = '#ffffff';
          if (customOptions.duration != undefined && customOptions.duration != '') {
              duration = customOptions.duration;
          }
          if (customOptions.background != undefined && customOptions.background != undefined) {
              background = customOptions.background;
          }
          if (customOptions.color != undefined && customOptions.color != undefined) {
              color = customOptions.color;
          }
          var element = document.createElement('div');
          element.className = "ngPopupAlertMessage " + msgClass;
          element.style.cssText = this.options;
          element.style.background = background;
          element.style.color = color;
          document.body.appendChild(element);
          element.innerHTML = icon + ' ' + msgText;
          var leftMargin = Math.floor((element.offsetWidth) / 2);
          element.style.marginLeft = '-' + leftMargin + 'px';
          var elementCount = document.getElementsByClassName('ngPopupAlertMessage');
          element.style.top = '' + ((((elementCount.length) - 1) * 8) + 2) + '%';
          setTimeout(function () {
              element.style.top = '-100%';
              setTimeout(function () {
                  element.remove();
              }, 300);
          }, duration);
      };
      NgPopupAlertMessageService.prototype.notify = function (msgText, icon, customOptions) {
          this.createElement("customMsg", icon, msgText, customOptions);
      };
      return NgPopupAlertMessageService;
  }());
  NgPopupAlertMessageService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageService, deps: [], target: i0__namespace.ɵɵFactoryTarget.Injectable });
  NgPopupAlertMessageService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageService, providedIn: 'root' });
  i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageService, decorators: [{
              type: i0.Injectable,
              args: [{
                      providedIn: 'root'
                  }]
          }], ctorParameters: function () { return []; } });

  var NgPopupAlertMessageComponent = /** @class */ (function () {
      function NgPopupAlertMessageComponent() {
      }
      NgPopupAlertMessageComponent.prototype.ngOnInit = function () {
      };
      return NgPopupAlertMessageComponent;
  }());
  NgPopupAlertMessageComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageComponent, deps: [], target: i0__namespace.ɵɵFactoryTarget.Component });
  NgPopupAlertMessageComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.2", type: NgPopupAlertMessageComponent, selector: "lib-ng-popup-alert-message", ngImport: i0__namespace, template: "\n    <p>\n      ng-popup-alert-message works!\n    </p>\n  ", isInline: true });
  i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageComponent, decorators: [{
              type: i0.Component,
              args: [{
                      selector: 'lib-ng-popup-alert-message',
                      template: "\n    <p>\n      ng-popup-alert-message works!\n    </p>\n  ",
                      styles: []
                  }]
          }], ctorParameters: function () { return []; } });

  var NgPopupAlertMessageModule = /** @class */ (function () {
      function NgPopupAlertMessageModule() {
      }
      return NgPopupAlertMessageModule;
  }());
  NgPopupAlertMessageModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
  NgPopupAlertMessageModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageModule, declarations: [NgPopupAlertMessageComponent], exports: [NgPopupAlertMessageComponent] });
  NgPopupAlertMessageModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageModule, imports: [[]] });
  i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: NgPopupAlertMessageModule, decorators: [{
              type: i0.NgModule,
              args: [{
                      declarations: [
                          NgPopupAlertMessageComponent
                      ],
                      imports: [],
                      exports: [
                          NgPopupAlertMessageComponent
                      ]
                  }]
          }] });

  /*
   * Public API Surface of ng-popup-alert-message
   */

  /**
   * Generated bundle index. Do not edit.
   */

  exports.NgPopupAlertMessageComponent = NgPopupAlertMessageComponent;
  exports.NgPopupAlertMessageModule = NgPopupAlertMessageModule;
  exports.NgPopupAlertMessageService = NgPopupAlertMessageService;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-popup-alert-message.umd.js.map
