import * as i0 from '@angular/core';
import { Injectable, Component, NgModule } from '@angular/core';

class NgPopupAlertMessageService {
    constructor() {
        this.options = `
  position : absolute;
  z-index : 100;
  left : 50%;
  top : -4%;
  width : fit-content;
  height : 40px;
  padding : 20px 10px 0px 10px;
  text-align : center;
  border-radius : 5px;
  transition : top 0.5s ease-out;
`;
    }
    createElement(msgClass, icon, msgText, customOptions) {
        let duration = 4000;
        let background = '#262626';
        let color = '#ffffff';
        if (customOptions.duration != undefined && customOptions.duration != '') {
            duration = customOptions.duration;
        }
        if (customOptions.background != undefined && customOptions.background != undefined) {
            background = customOptions.background;
        }
        if (customOptions.color != undefined && customOptions.color != undefined) {
            color = customOptions.color;
        }
        var element = document.createElement('div');
        element.className = "ngPopupAlertMessage " + msgClass;
        element.style.cssText = this.options;
        element.style.background = background;
        element.style.color = color;
        document.body.appendChild(element);
        element.innerHTML = icon + ' ' + msgText;
        var leftMargin = Math.floor((element.offsetWidth) / 2);
        element.style.marginLeft = '-' + leftMargin + 'px';
        let elementCount = document.getElementsByClassName('ngPopupAlertMessage');
        element.style.top = '' + ((((elementCount.length) - 1) * 8) + 2) + '%';
        setTimeout(() => {
            element.style.top = '-100%';
            setTimeout(() => {
                element.remove();
            }, 300);
        }, duration);
    }
    notify(msgText, icon, customOptions) {
        this.createElement("customMsg", icon, msgText, customOptions);
    }
}
NgPopupAlertMessageService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
NgPopupAlertMessageService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class NgPopupAlertMessageComponent {
    constructor() { }
    ngOnInit() {
    }
}
NgPopupAlertMessageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NgPopupAlertMessageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.2", type: NgPopupAlertMessageComponent, selector: "lib-ng-popup-alert-message", ngImport: i0, template: `
    <p>
      ng-popup-alert-message works!
    </p>
  `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'lib-ng-popup-alert-message',
                    template: `
    <p>
      ng-popup-alert-message works!
    </p>
  `,
                    styles: []
                }]
        }], ctorParameters: function () { return []; } });

class NgPopupAlertMessageModule {
}
NgPopupAlertMessageModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgPopupAlertMessageModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageModule, declarations: [NgPopupAlertMessageComponent], exports: [NgPopupAlertMessageComponent] });
NgPopupAlertMessageModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageModule, imports: [[]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0, type: NgPopupAlertMessageModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgPopupAlertMessageComponent
                    ],
                    imports: [],
                    exports: [
                        NgPopupAlertMessageComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of ng-popup-alert-message
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgPopupAlertMessageComponent, NgPopupAlertMessageModule, NgPopupAlertMessageService };
//# sourceMappingURL=ng-popup-alert-message.js.map
